#include<stdio.h>
#include<stdlib.h>
#include<math.h>
#include"dSFMT.h"


#define	Number	100
dsfmt_t dsfmt1;				//random number

double rand_gauss( double mu , double sigma ){	//rand : gauss
	double x1 = dsfmt_genrand_close_open(&dsfmt1);
	double x2 = dsfmt_genrand_close_open(&dsfmt1);
	double y  = sigma * ( sqrt(-2 * log(x1) ) * cos( 2*M_PI * x2)) + mu;
	return y;
}


int main( int argc , char *argv[] ){
	
	//Seed of random number
	dsfmt_init_gen_rand(&dsfmt1,1);
	
	//Parameter
	double a = atof(argv[1]);
	double b = atof(argv[2]);
	
	//FILE
	FILE *fpw;
	char *fnw;
	fnw = (char *)calloc( 100 , sizeof(char) );
	sprintf( fnw , "data_%s_%s.dat",argv[1],argv[2]);
	fpw = fopen(fnw ,"w" );
	
	int i;
	double x1,x2,y;
	
	for(i=0;i<Number;i++){
		x1 = rand_gauss(0,1) ;
		x2 = rand_gauss(0,1) ;
		y = a * x1 + b * x2 +rand_gauss( 0, 1 );
		fprintf(fpw, "%f	%f	%f\n",x1,x2,y);
	}
	
	fclose(fpw);
	free(fnw);
	
	return 0;
}